Bug 30756 - preup/postup.sh do not get mirrored if component=disabled and localmirror=yes
preup/postup.sh do not get mirrored if component=disabled and localmirror=yes
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Update - Repository administration
UCS 3.1
Other Linux
: P5 normal (vote)
: UCS 3.1-1-errata
Assigned To: Philipp Hahn
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-12 10:24 CET by Sönke Schwardt-Krummrich
Modified: 2013-08-28 13:41 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2013-03-12 10:24:04 CET
A customer reported in ticket Ticket#2013022821000934 that the preup.sh and postup.sh scripts of components do not get synced to local repository if the component is disabled but localmirror is enabled. E.g.

repository/online/component/ucsschool=disabled
repository/online/component/ucsschool/localmirror=true

I was able to reproduce this bug in a short test with UCS 3.1-0.
Comment 1 Philipp Hahn univentionstaff 2013-07-11 08:41:30 CEST
3.2: svn42277, univention-updater_9.0.4-2.1185.201307110813
ChangeLog-3.2: svn42279
\item The pre- and post-updater scripts of locally mirrored but disabled components are now also retrieved (\ucsBug{30756}).

3.1-1: svn42280, univention-updater_8.0.78-6.1186.201307110827
2013-07-10-univention-updater.yaml svn42282
Comment 2 Erik Damrose univentionstaff 2013-08-21 16:36:04 CEST
Tests: errata3.1-1 & 3.2: OK
Changelog: OK
YAML: OK

-> Verified
Comment 3 Moritz Muehlenhoff univentionstaff 2013-08-28 13:41:32 CEST
http://errata.univention.de/ucs/3.1/172.html